%global pypi_name tsfresh

Name:           python-%{pypi_name}
Version:        0.17.0
Release:        1%{?dist}
Summary:        tsfresh extracts relevant characteristics from time series

License:        MIT
URL:            https://github.com/blue-yonder/tsfresh
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(dask) >= 2.9
BuildRequires:  python3dist(distributed) >= 2.11
BuildRequires:  python3dist(numpy) >= 1.15.1
BuildRequires:  python3dist(pandas) >= 0.25
BuildRequires:  python3dist(patsy) >= 0.4.1
BuildRequires:  python3dist(requests) >= 2.9.1
BuildRequires:  python3dist(scikit-learn) >= 0.19.2
BuildRequires:  python3dist(scipy) >= 1.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(statsmodels) >= 0.9
BuildRequires:  python3dist(tqdm) >= 4.10
BuildRequires:  python3dist(sphinx)

%description
<div align"center"> <img width"70%" src"./docs/images/tsfresh_logo.svg"> --
tsfresh[![Documentation Status]( [![Build Status]( [![codecov]( [![license](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(dask) >= 2.9
Requires:       python3dist(distributed) >= 2.11
Requires:       python3dist(numpy) >= 1.15.1
Requires:       python3dist(pandas) >= 0.25
Requires:       python3dist(patsy) >= 0.4.1
Requires:       python3dist(requests) >= 2.9.1
Requires:       python3dist(scikit-learn) >= 0.19.2
Requires:       python3dist(scipy) >= 1.2
Requires:       python3dist(statsmodels) >= 0.9
Requires:       python3dist(tqdm) >= 4.10
%description -n python3-%{pypi_name}
<div align"center"> <img width"70%" src"./docs/images/tsfresh_logo.svg"> --
tsfresh[![Documentation Status]( [![Build Status]( [![codecov]( [![license](

%package -n python-%{pypi_name}-doc
Summary:        tsfresh documentation
%description -n python-%{pypi_name}-doc
Documentation for tsfresh

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
#PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
##%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt docs/license.rst
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc LICENSE.txt
#html
%license LICENSE.txt docs/license.rst

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.17.0-1
- Initial package.
